--- /tmp/socket.c	2007-09-14 14:03:01.395330465 +0200
+++ avahi-0.6.21/avahi-core/socket.c	2007-09-14 14:08:42.081140297 +0200
@@ -66,6 +66,39 @@
 #endif
 #endif
 
+#define IPV6_ADDRFORM           1
+#define IPV6_2292PKTINFO        2
+#define IPV6_2292HOPOPTS        3
+#define IPV6_2292DSTOPTS        4
+#define IPV6_2292RTHDR          5
+#define IPV6_2292PKTOPTIONS     6
+#define IPV6_CHECKSUM           7
+#define IPV6_2292HOPLIMIT       8
+#define IPV6_NEXTHOP            9
+#define IPV6_AUTHHDR            10      /* obsolete */
+#define IPV6_FLOWINFO           11
+
+#define IPV6_UNICAST_HOPS       16
+#define IPV6_MULTICAST_IF       17
+#define IPV6_MULTICAST_HOPS     18
+#define IPV6_MULTICAST_LOOP     19
+#define IPV6_ADD_MEMBERSHIP     20
+#define IPV6_DROP_MEMBERSHIP    21
+#define IPV6_ROUTER_ALERT       22
+#define IPV6_MTU_DISCOVER       23
+#define IPV6_MTU                24
+#define IPV6_RECVERR            25
+#define IPV6_V6ONLY             26
+#define IPV6_JOIN_ANYCAST       27
+#define IPV6_LEAVE_ANYCAST      28
+
+/* IPV6_MTU_DISCOVER values */
+#define IPV6_PMTUDISC_DONT              0
+#define IPV6_PMTUDISC_WANT              1
+#define IPV6_PMTUDISC_DO                2
+#define IPV6_PMTUDISC_PROBE             3
+
+
 static void mdns_mcast_group_ipv4(struct sockaddr_in *ret_sa) {
     assert(ret_sa);
 
